@font-face {
    font-family: FugazOne;
    src: url('../fonts/FugazOne-Regular.ttf');
}

@font-face {
    font-family: benn;
    src: url('../fonts/benn.otf');
}

*{
    cursor: url(/images/cursor.svg), auto !important;
}

body {
    margin-bottom: 50px;
    -webkit-tap-highlight-color: transparent;
}

main {
    padding: 0 20px;
}

.topmar {
    height: 70px;
}

h3,
h4,
h1,
h2 {
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 100%;
    margin: 0;
}

body {
    margin: 0;
    font-family: FugazOne;
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 100%;
    background-color: white;
}

/* Hide scrollbar for Chrome, Safari and Opera */

body::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
body {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}


* {
    box-sizing: border-box;
    transition: all 0.5s ease-out;
}



#preloader {
    position: absolute;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: #fff;
    z-index: 10000000;
    width: 100%;
    height: 100%;
}




.bulb svg {
    display: block;
    height: 90px;
    width: max-content;
    transform-origin: center top;
    animation: swing_31 1.3s ease-in-out infinite alternate;
}

@keyframes swing_31 {
    0% {
        transform: rotate(18deg);
    }

    100% {
        transform: rotate(-18deg);
    }
}


.line-wobble {
    margin-top: 40px;
    --uib-size: 150px;
    --uib-speed: 1.55s;
    --uib-color: black;
    --uib-line-weight: 5px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    height: var(--uib-line-weight);
    width: var(--uib-size);
    border-radius: calc(var(--uib-line-weight) / 2);
    overflow: hidden;
    transform: translate3d(0, 0, 0);
}

.line-wobble::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: var(--uib-color);
    opacity: 0.1;
}

.line-wobble::after {
    content: '';
    height: 100%;
    width: 100%;
    border-radius: calc(var(--uib-line-weight) / 2);
    animation: wobble var(--uib-speed) ease-in-out infinite;
    transform: translateX(-90%);
    background-color: var(--uib-color);
}

@keyframes wobble {

    0%,
    100% {
        transform: translateX(-90%);
    }

    50% {
        transform: translateX(90%);
    }
}






#navbar {
    position: fixed;
    width: 100%;
    z-index: 100000000000;
    background-color: #fff;
}


.imagelogo {
    height: 50px;
}

.imagelogo_name {
    height: 40px;
}

.topnav {
    display: flex;
    gap: 10px;
    width: 100%;
    align-items: center;
    padding: 10px 30px;
    justify-content: space-between;
}

.topnav .left {
    float: left;
    display: flex;
    align-items: center;
}

.topnav .right {
    display: flex;
    gap: 10px;
    align-items: center;
    justify-content: flex-end;
    width: 100%;
    overflow: hidden;
}




.cart_ic {
    position: relative;
    background: black;
    display: flex;
    padding: 10px;
    width: auto;
    height: max-content;
    align-items: center;
    justify-content: center;
    border-radius: 30px
}

.cart_ic img {
    width: 20px;
    height: 20px;
}

.cartitems {
    margin: 0;
    display: flex;
    position: absolute;
    padding: 0 5px;
    right: 0;
    top: 0;
    color: #fff;
    font-size: 10px;
    background: #214CDB;
    border-radius: 13px;
}


.tab_nav {
    background: black;
    display: flex;
    padding: 7px 15px 7px 15px;
    height: max-content;
    align-items: center;
    justify-content: center;
    border-radius: 30px;
    gap: 20px;
}

.pill {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    color: white;
}

.pill h4 {
    display: none;
    margin: 0;
}

.pillactive {
    background: white;
    height: max-content;
    border-radius: 30px;
    padding: 5px 20px;
    color: black;
}

.pillactive h4 {
    display: block;
    font-size: 14px;
}




.container {
    position: relative;
    --size-button: 40px;
    font-family: FugazOne;
}

.input {
    padding-left: var(--size-button);
    height: var(--size-button);
    font-size: 15px;
    border: none;
    color: #fff;
    outline: none;
    width: var(--size-button);
    transition: all ease 0.3s;
    background-color: #191A1E;
    border-radius: 50px;
    cursor: pointer;
    font-family: FugazOne;
}

.input:focus,
.input:not(:invalid) {
    width: 300px;
    cursor: text;
    padding-left: 20px;
}

.input:focus+.icon,
.input:not(:invalid)+.icon {
    pointer-events: all;
    cursor: pointer;
}



.container .icon {
    position: absolute;
    width: var(--size-button);
    height: var(--size-button);
    top: 0;
    right: 0;
    padding: 8px;
    pointer-events: none;
}

.container .icon img {
    width: 100%;
    height: 100%;
}



.statusbar {
    display: none;
    width: 100vw;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 10px 30px;
}

.statusbar .input {
    background-color: #ffffff;
    color: #191A1E;
}

.statusbar .input:focus,
.statusbar .input:not(:invalid) {
    padding-right: 40px;
    background-color: #ECECEC;
}

.statusbar .cart_ic {
    padding: 5px;
    background-color: #fff;
}

.statusbar .cart_ic img {
    width: 25px;
    height: 25px;
}



.middle {
    display: flex;
    align-items: center;
    justify-content: center;
}


.statusbar .icon {
    fill: black;
}

.mbnavpill {
    display: none;
    position: fixed;
    bottom: 20px;
    width: 100vw;
    align-items: center;
    justify-content: center;
    z-index: 10000000;
}

.pillactive img {
    mix-blend-mode: difference;
}

.pill img {
    width: 20px;
    height: 20px;
}

.mbnavpill .tab_nav {
    background-color: #214CDB;
    padding: 10px 20px;
}



/* nav bar ended */


.draggable_sl::-webkit-scrollbar {
    display: none;
}

/* Hide scrollbar for IE, Edge and Firefox */
.draggable_sl {
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}



.draggable_sl{
    overflow: scroll;
    user-select: none;
}



#backBtn{
    padding: 10px;
}





.foosecbreak {
    display: flex;
    width: 100%;
    gap: 20px;
    height: max-content;
    justify-content: center;
    align-items: center;
    padding: 0 40px;
    margin: 50px 0;
}

.foosecbreak .line {
    width: 100%;
    height: 5px;
    border-radius: 10px;
    background-color: #e4e4e4;
    box-shadow: #000 -8px 8px;
}


.foolinks_wrapper {

    display: grid;
    padding: 0 30px;
    grid-template-columns: auto auto;
    gap: 40px;
    font-style: normal;
    font-weight: 400;
    font-size: 18px;
    line-height: 100%;
}

.foolinks_wrapper .link_wrapper {
    width: max-content;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    margin: 0 auto;
}

.foolinks_wrapper ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.foolinks_wrapper li a {
    text-decoration: none;
}

.foolinks_wrapper li a h5 {
    font-style: normal;
    font-weight: 200;
    font-size: 13px;
    line-height: 100%;
    margin: 0;
    color: #6F6F70;
}

.foolinks_wrapper h2 {
    width: 100%;
    font-size: 16px;
    text-transform: uppercase;
}


.foolinks_wrapper .inner {
    width: 100%;
    display: grid;
    grid-template-columns: auto auto;
    grid-column: span 2;
}

.foo_ribon {
    display: none;
}

@media screen and (min-width : 800px) {

    .foolinks_wrapper {
        margin: auto;
    }

    .foolinks_wrapper {
        grid-template-columns: auto auto auto;
        max-width: 1080px;
    }

    .foolinks_wrapper .inner {
        grid-template-columns: auto;
        grid-column: span 1;
    }

    .foolinks_wrapper li a h5 {
        font-size: 14px;
    }

    .foo_sociallinks {
        flex-direction: row;
    }

}

.foo_sociallinks {
    width: 100%;
    justify-content: space-evenly;
    max-width: 1080px;
    display: flex;
    flex-direction: row;
    gap: 50px;
    margin: 30px auto;
}

.foo_sociallinks .link {
    width: max-content;
    display: flex;
    align-items: center;
    gap: 10px;
}

.foo_sociallinks .link a {
    text-decoration: none;
    color: #214CDB;
    font-size: 18px;
}

.foobottom {
    width: max-content;
    display: flex;
    margin: 30px auto;
    gap: 50px;
}

.foobottom a {
    text-decoration: none;
    font-size: 12px;
    color: #000;
    text-transform: uppercase;
}

.foobottom a span {
    font-family: benn;
    font-style: normal;
    font-weight: 200;
    line-height: 100%;
}



@media screen and (max-width: 800px) {

    body {
        margin-bottom: 90px;
    }

    .topmar {
        height: 60px;
    }

    h3 {
        font-size: 14px;
    }

    h4 {
        font-size: 13px;
    }

    .foobottom {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    .foo_sociallinks {
        flex-direction: column;
        width: max-content;
        gap: 30px;
        margin: 0 auto;
    }

    .foo_sociallinks .link {
        gap: 30px;
    }


    .foolinks_wrapper .link_wrapper {
        margin: 0;
        width: 100%;
        align-items: flex-start;
    }

    .foo_ribon {
        display: block;
    }

    .foo_ribon img {
        width: 100vw;
    }
    

    .imagelogo{
        height: 40px;
    }

    .imagelogo_name{
        height: 30px;
    }
    .container {
        --size-button: 40px;
    }

    .input {
        font-size: 14px;
    }

    .statusbar {
        display: flex;
    }

    .mbnavpill {
        display: flex;
    }

    .topnav {
        display: none;
    }

    .foolinks_wrapper{
        padding: 0 25px;
        gap: 30px;
    }
    .foolinks_wrapper ul{
        gap: 15px;
    }

}